<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroAuthenticationMethod extends Entity {
	protected $type;
	protected $cavv;
	protected $eci;
	protected $xid;
	protected $version;
	protected $dstrans_id;
	protected $status;

	public static function builder(): PagSeguroAuthenticationMethodBuilder {

		return new PagSeguroAuthenticationMethodBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getType() {

		return $this->type;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCavv() {

		return $this->cavv;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEci() {

		return $this->eci;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getXid() {

		return $this->xid;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getVersion() {

		return $this->version;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDstransId() {

		return $this->dstrans_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStatus() {

		return $this->status;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;

	}

	/**
	 *
	 * @param mixed $cavv
	 */
	public function setCavv($cavv) {

		$this->cavv = $cavv;

	}

	/**
	 *
	 * @param mixed $eci
	 */
	public function setEci($eci) {

		$this->eci = $eci;

	}

	/**
	 *
	 * @param mixed $xid
	 */
	public function setXid($xid) {

		$this->xid = $xid;

	}

	/**
	 *
	 * @param mixed $version
	 */
	public function setVersion($version) {

		$this->version = $version;

	}

	/**
	 *
	 * @param mixed $dstrans_id
	 */
	public function setDstransId($dstrans_id) {

		$this->dstrans_id = $dstrans_id;

	}

	/**
	 *
	 * @param mixed $status
	 */
	public function setStatus($status) {

		$this->status = $status;

	}

}

